PDA

View Full Version : Spotify Connect with picoreplayer and Pi2



kizery
2017-11-20, 08:26
Hi all,

I want to use "spotify connect" with my premium account and the spotify android app, is it possible on picoreplayer ? I don't found any informations...

Thanks !

mherger
2017-11-20, 08:57
> I want to use "spotify connect" with my premium account and the spotify
> android app, is it possible on picoreplayer ? I don't found any
> informations...

Just install the plugin and enable Connect for your players
(Settings/Player/Spotty) as outlined in the announcement thread.

--

Michael

kizery
2017-11-20, 10:51
Thanks for your help, my english is bad enough so is difficult for me to find answer...
So, is this plugin in LMS or in picoreplayer directly ?

sbp
2017-11-20, 11:15
Thanks for your help, my english is bad enough so is difficult for me to find answer...
So, is this plugin in LMS or in picoreplayer directly ?
It is a LMS plugin, so enable it via LMS.

kizery
2017-11-20, 12:03
Yes I found it, sorry...

I activate the plugin, and on my phone, I can see the "spotify authorization" in spotify app. I select it and on LMS I see my account that appear, I just do "APPLY" on LMS and then, I not see anymore on my phone (in spotify). do I need to do something in additional on lms ?

Sorry for my english, I hope you anderstand me, and thank you again for help.

karlek
2017-11-20, 12:33
Now you can enable Connect for each desired Player.

mherger
2017-11-20, 13:07
> I activate the plugin, and on my phone, I can see the "spotify
> authorization" in spotify app. I select it and on LMS I see my account
> that appear, I just do "APPLY" on LMS and then, I not see anymore on my
> phone (in spotify). do I need to do something in additional on lms ?

Go to Settings/Player/Spotty to enable the experimental Connect support.

--

Michael

kizery
2017-11-21, 12:37
Great thank you very much it works. however a lot of latency between the application of the smartphone and RBpi (wifi).

tnptek
2018-03-27, 05:44
I have been listening to spotify on my squeezebox boom for months. However, last few days I was not able to listen to spotify on my boom. I am running pirecore play on my RPI2.

Here is the error list. can anyone advise how to fix it?


There has been a problem running the Spotty helper application. Most likely your operating system and/or platform is not supported. Please report the following details to me:

Operating system: piCore / armv7l-linux

Helper Applications Folder:
/usr/local/slimserver/Bin/armhf-linux
/usr/local/slimserver/Bin
/usr/local/sbin
/usr/local/bin
/sbin
/usr/sbin
/bin
/usr/bin
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/CastBridge/Bin
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/ShairTunes2W/Bin
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/Spotty/Bin
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/Spotty/Bin/arm-linux
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/SpottyAARCH64Bin/Bin
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/SpottyBinFreeBSD/Bin
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/SpottyMacBin/Bin
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/UPnPBridge/Bin

mherger
2018-03-27, 05:55
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/SpottyAARCH64Bin/Bin
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/SpottyBinFreeBSD/Bin
/usr/local/slimserver/Cache/InstalledPlugins/Plugins/SpottyMacBin/Bin

You installed too many pieces without knowing what they're doing. Remove above three plugins and try again. Make sure you update all of LMS, max2play and Spotty to the latest.